petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexGetGatherDM

Get a copy of the DMPlex that gathers all points on the root process of the original's communicator.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexGetGatherDM(DM dm, PetscSF *sf, DM *gatherMesh)

Collective on dm

### Input Parameters

dm -the original DMPlex object

### Output Parameters

| sf | - the PetscSF used for point distribution (optional)
| gatherMesh | - the gathered DM object, or NULL

### See Also

DMPlexDistribute(), DMPlexGetRedundantDM()

### Level

intermediate

### Location

src/dm/impls/plex/plexdistribute.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages